%define		_state		stable
%define		orgname		kmix
%define		qtver		4.8.1

Summary:	KDE audio mixer
Summary(pl.UTF-8):	Mikser dźwięku dla KDE
Name:		kde4-%{orgname}
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	9363c0b893e21bb1b33bc59d5eb3e217
BuildRequires:	alsa-lib-devel
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	glib2-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libcanberra-devel
BuildRequires:	libstdc++-devel
BuildRequires:	phonon-devel >= 4.4.1
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdemultimedia-kmix < 4.8.99-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sound mixer application for KDE.

%description -l pl.UTF-8
Mikser dźwięku dla KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang kmix		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kmix.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmix
%attr(755,root,root) %{_bindir}/kmixctrl
%attr(755,root,root) %{_libdir}/libkdeinit4_kmix.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kmixctrl.so
%attr(755,root,root) %{_libdir}/kde4/kded_kmixd.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_mixer.so
%{_datadir}/apps/kmix
%{_datadir}/apps/plasma/services/mixer.operations
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/autostart/kmix_autostart.desktop
%{_datadir}/kde4/services/kmixctrl_restore.desktop
%{_datadir}/kde4/services/kded/kmixd.desktop
%{_datadir}/kde4/services/plasma-engine-mixer.desktop
%{_desktopdir}/kde4/kmix.desktop
%{_iconsdir}/*/*/*/kmix.png
%{_datadir}/dbus-1/interfaces/org.kde.kmix.*.xml
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kmix.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c7159f6
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 1350bd0
- updated to 4.10.4 (by update-kde4.sh)

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9763d0d
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 717d949
- up to 4.10.0

* Sun Dec 02 2012 Karol Krenski <charles@pld-linux.org> 6ba50e8
- BR: docbook-{dtd42-xml,style-xsl}

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0464962
- up to 4.9.4

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c540579
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> a3c1d82
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 881dc14
- Obsolete kdemultimedia package
Release 2

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> e1b265e
- Updated BRs
Release 1

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 380b137
- Fixed name

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 812354c
- Initial commit, split from kde4-kdemultimedia, BRs probably wrong

